首先先检查一下本地的PHP版本是多少如下:

 yum list installed | grep php 

检查完成之后,看是否需要升级,如果低于你预期版本的PHP,则根据情况申请指定的,PHP版本,更新PHP版本,分为如下几个步骤:

  • 更换 RPM 源
  •  删除已经安装的 PHP 相关包
  • 安装新版本 PHP
  •  重新启动相关服务

更换RPM源

Centos 5.X: 
rpm -Uvh https://mirror.webtatic.com/yum/el5/latest.rpm #
CentOs 6.x: 
rpm -Uvh https://mirror.webtatic.com/yum/el6/latest.rpm #
CentOs 7.X: 
rpm -Uvh https://mirror.webtatic.com/yum/el7/epel-release.rpm 
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm 

 删除已经安装的 PHP 相关包

yum remove php*

安装新版本 PHP

php 7.0/7.1/7.2 分别表示为 70w/71w/72w
目前对每个版本的CENTOS支持是不一样的,比如:
CentOs 6.x 的 RPM 源中最高只有 7.1 而 CentOs 7.x 的 RPM 源中有 7.2 。

yum install php71w php71w-cli php71w-common php71w-devel php71w-embedded php71w-fpm php71w-gd php71w-mbstring php71w-mysqlnd php71w-opcache php71w-pdo php71w-xml php71w-ldap php71w-mcrypt
BashCopy

重新启动相关服务

service httpd restart

最后面检查一下PHP版本是否更新完成:

php -v